<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2006 Reinhard Scheck aka gandalf                          |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
 */

chdir('../../');
include("./include/auth.php");
include("./plugins/nectar/nectar_webapi.php");
define("MAX_DISPLAY_PAGES", 21);

/* set default action */
if (!isset($_REQUEST["action"])) { $_REQUEST["action"] = ""; }

/* check edit/alter permissions */
if (isset($_GET["id"]) && $_SESSION["sess_nectar_level"] != NECTAR_PERM_ADMIN) {
	$user_id = db_fetch_cell("SELECT user_id FROM plugin_nectar WHERE id=" . $_GET["id"]);

	if (($user_id != '') && ($user_id != $_SESSION["sess_user_id"])) {
		echo "FATAL: YOU DO NOT HAVE PERMISSION TO EDIT THIS TEMPLATE";
		exit;
	}
}

switch ($_REQUEST["action"]) {
	case 'save':
		form_save();

		break;
	case 'actions':
		form_actions();

		break;
	case 'item_movedown':
		item_movedown();

		header("Location: nectar.php?action=edit&id=" . $_GET["id"]);
		break;
	case 'item_moveup':
		item_moveup();

		header("Location: nectar.php?action=edit&id=" . $_GET["id"]);
		break;
	case 'item_remove':
		item_remove();

		header("Location: nectar.php?action=edit&id=" . $_GET["id"]);
		break;
	case 'item_edit':
		include_once($config['include_path'] . "/top_graph_header.php");

		display_output_messages();

		item_edit();

		include_once($config['include_path'] . "/bottom_footer.php");
		break;
	case 'remove':
		nectar_remove();

		header ("Location: nectar.php");
		break;
	case 'edit':
		include_once($config['include_path'] . "/top_graph_header.php");

		display_output_messages();

		nectar_edit();

		include_once($config['include_path'] . "/bottom_footer.php");
		break;
	default:
		include_once($config['include_path'] . "/top_graph_header.php");

		display_output_messages();

		nectar();

		include_once($config['include_path'] . "/bottom_footer.php");
		break;
}

?>
